Subject: Re: bug#66032: [PATCH] Inline advice documentation into advised function's docstring, after all

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Sep 2023 12:03:51 -0400

> The documentation of the *function's advices*, however, is handled by
> some function on `help-fns-describe-function-functions'.  By default we
> add a function `advice-describe-function-advices' (for you) but offer an
> alternative one `advice-describe-detailed-function-advices' (for me and
> others who have been asking for inlined docstrings).  In principle this
> works, as I have confirmed with a very rough prototype.

That's an option as well (and it comes with the advantage that the list
of advice can come after things like obsoletion info rather than before,
which would be an improvement as well).

I don't see any reason to reduce what is displayed by default (at least,
nobody has asked for that, AFAIK), so the question is how to make it
sufficiently easy to switch to a more detailed output.  `remove-hook` of
the default followed by `add-hook` of the other seems
rather inconvenient.

        Stefan